resources:
  - ../base
commonLabels:
  environment: prod
#nameSuffix: -prod
namespace: barretthousen

patchesStrategicMerge:
  - sync-cronjob.yaml
  - catalog-configmap.yaml
  - proxy-admin-configmap.yaml
  - proxy-client-configmap.yaml
  - runner-configmap.yaml

patches:
  - target:
      kind: Ingress
      name: admin
    patch: |-
      - op: replace
        path: /spec/rules/0/host
        value: admin.barretthousen.com
  - target:
      kind: Ingress
      name: web
    patch: |-
      - op: replace
        path: /spec/rules/0/host
        value: barretthousen.com
  - target:
      kind: Deployment
      name: catalog
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-catalog:prod
  - target:
      kind: Deployment
      name: runner
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-runner:prod
  - target:
      kind: Deployment
      name: proxy-admin
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-proxy-admin:prod
  - target:
      kind: Deployment
      name: proxy-client
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/service-proxy-client:prod
  - target:
      kind: Deployment
      name: web-client
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: git.vdhsn.com/barretthousen/client-web-client:prod
      - op: replace
        path: /spec/template/spec/containers/0/env/0/value
        value: https://barretthousen.com
